Bug 442461 - GUI network config may need rethought for F10
Summary: GUI network config may need rethought for F10
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: NMinAnaconda
Blocks: F10Blocker, F10FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2008-04-14 21:36 UTC by Bill Nottingham
Modified: 2014-03-17 03:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 01:01:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2008-04-14 21:36:54 UTC
Description of problem:

If we're doing NM by default, we may need to rethink how this works. Right now
it just lets you configure some things that may be ignored, and when run from
the live install, doesn't actually reflect things like 'active device' correctly.

Version-Release number of selected component (if applicable):

rawhide-20080408 livecd

Comment 1 Jeremy Katz 2008-04-14 22:17:09 UTC
Yes, we definitely should.  Had NM landed by default in advance of the feature
freeze, we might have actually changed things for F9  :-/

Comment 2 David Cantrell 2008-04-14 22:29:04 UTC
I have a huge patch in the works for networking overhaul to anaconda (stage1 and stage2) to do several 
things, most notably getting rid of libdhcp and making it easier to interact with NM.  Just an fyi.

Comment 3 David Cantrell 2008-09-16 01:01:27 UTC
I've reduced the network post configuration screen to just asking for the hostname.


Note You need to log in before you can comment on or make changes to this bug.